Index: brltty/Tables/en-us-g2.ctb
===================================================================
--- brltty.orig/Tables/en-us-g2.ctb	2010-11-13 02:49:28.000000000 +0100
+++ brltty/Tables/en-us-g2.ctb	2010-11-13 02:49:42.000000000 +0100
@@ -20,7 +20,7 @@
 # Created by John Boyer <director@chpi.org>.
 
 class vowel aeiouyAEIOUY
-class consonent bcdfghjklmnpqrstvwxzBCDFGHJKLMNPQRSTVWXZ
+class consonant bcdfghjklmnpqrstvwxzBCDFGHJKLMNPQRSTVWXZ
 class o oO
 class apostrophe '
 
@@ -202,6 +202,7 @@ always between 23-2345
 word bet =
 always beyond 23-13456
 word bey =
+word ble 3456 amia- ble, but not amia- bleness
 midendword ble 3456
 midendword bleau 12-123-2-136 tableau
 midendword bleed 12-123-15-1246 nosebleed
@@ -330,6 +331,7 @@ begword disha 256-125-1 dishabile
 begword dishear 256-125-15-345 disheartened
 begword disho 256-125-135 dishonor
 begword dishone 256-125-5-135 dishonest
+begword disin 256-35 disingenuous
 sufword disk =
 sufword dispirit 145-24-456-234 dispirited
 midword dist = contradistinction
@@ -338,6 +340,7 @@ begword disul = disulfide
 word do 145
 before o begword dogg =
 word doggo 145-135-2356-135
+sufword dolittle = the Dolittles
 sufword donegal = Donegalers
 sufword doolittle =
 always dumb = dumbbell
@@ -383,6 +386,7 @@ begword enou 15-1345-1256
 lowword enough 26
 word enough 26-1256-126
 sufword enough\s-\s 26-1256-126-36-36
+midendword entiment 26-2345-24-56-2345 sentimental
 begword enu 15-1345-136
 begword equino = equinox
 always er 12456
@@ -395,8 +399,8 @@ begword eru = erupt
 midendword onesque = Runyonesques
 always ethole 15-2345-125-135-123-15 bullethole
 always ever 5-15
-midendword evere 15-1236-12456-15 perseveres
-always evered 15-1236-12456-1246
+sufword eversion 15-1236-12456-46-1345 eversions
+sufword evert 15-1236-12456-2345 everted
 word every 15
 
 # the letter f
@@ -441,6 +445,7 @@ midendword ghill = dunghill
 midendword ghorn = bighorn
 always ghouse 1245-125-1256-234-15
 always ghz = (gigahertz)
+sufword gingold 1245-35-1245-135-123-145
 begword givea = giveaway
 sufword gnome = gnomedb
 word go 1245
@@ -450,12 +455,14 @@ contraction gd
 begword gos = goshawk gosherd
 word gosh 1245-135-146
 word goshen 1245-135-146-26
+midendword ingrad 35-1245-1235-1-145 Leningrad, Stalingrad
 begword grapea = grapeade
 begword gravedi = gravedigger
 begword gravero = graverobbing
 always great 1245-1235-2345
 contraction grt
-sufword guenever 1245-136-26-15-1236-12456
+sufword guenever 1245-136-26-15-1236-12456 Guenevere
+sufword guinever 1245-136-35-15-1236-12456 Guinevere
 
 # the letter h
 always h 125
@@ -496,6 +503,7 @@ always hydro =
 word i 24
 always i 24
 always I 24
+word ibuprofen 24-12-136-1234-1235-12356-26
 midendword iever 24-15-1236-12456
 always immediate 24-134-134
 contraction imm
@@ -510,12 +518,15 @@ begword iness 35-15-234-234 inessential,
 always iness 24-56-234
 word ing 346 such as after a hyphen
 midendword ing 346
-midword inga 35-1245-1 nightingale
+midword ingal 35-1245-1-123 farthingale martingale nightingale
 always ingar 35-1245-345 Weingarten
-midword ingi 35-1245-24 meningitis
-endword ingin 346-35 swingin' 
-midendword inging 346-346 bringing
+midendword ingism 35-1245-24-234-134 meningism
+midword ingit 35-1245-24-2345 meningitis
+midendword ingite 346-24-2345-15 wyomingite
+begword ingle 35-1245-123-15 inglenook
+sufword isinglass 24-234-35-1245-123-1-234-234
 joinword into 35-235
+begword irrevers 24-1235-1235-15-1236-12456-234 irreversible
 always isomer 24-234-135-134-12456
 word it 1346
 word its 1346-234
@@ -540,6 +551,7 @@ word knowledge 13
 always l 123
 always L 123
 midendword less 46-234
+always lesson = unlessoned
 always letter 123-1235
 contraction lr
 word like 123
@@ -568,15 +580,20 @@ begword mishand 134-24-234-125-12346 mis
 always mishap =
 sufword mishear 134-24-234-125-15-345 misheard
 begword missh 134-24-234-146 misshapen
+always mistak = mistake
 word mistook =
+sufword mistrain 134-24-234-2345-1235-1-35 mistrained
 begword mistran = mistranslation
 sufword mistreat 134-24-234-2345-1235-2-2345
+sufword mistrial = mistrials
 begword mistru = mistrust
 begword misty = mistyped
 word monetary 134-5-135-2345-345-13456
 word mongeese =
 sufword mongoose =
+sufword monteverdi 134-135-1345-2345-15-1236-12456-145-24 Monteverdi's
 word more 134
+word more'n 134-135-1235-15-3-1345
 always mother 5-134
 always much 134-16
 word mch =
@@ -602,12 +619,14 @@ contraction nec
 word neither 1345-15-24
 contraction nei
 midendword ness 56-234
+sufword nevers 1345-15-1236-12456-234 Louis Nevers
 always nighth 1345-24-126-2345-125 nighthawk knighthood
 begword non =
 word none 1345-5-135
 word nones 1345-5-135-234
 word nonesuch 1345-5-135-234-16
 word nonetheless 1345-5-135-2346-46-234
+begword nonrevers 1345-135-1245-1235-15-1236-12456-234 nonreversible
 word noone 1345-135-5-135
 begword nosediv = nosedive
 word not 1345
@@ -627,6 +646,7 @@ largesign of 12356
 midendword ofar 135-124-345 insofar
 always ofold = twofold
 midword ofor 135-123456 thermoform
+word oleaginous 135-123-15-1-1245-35-1256-234
 sufword onegin 135-1345-15-1245-35 Eugene Onegin's grandfather
 always onesi = Indonesia
 sufword onesie 5-135-234-24-15 (baby clothing)
@@ -671,6 +691,7 @@ always p 1234
 always P 1234
 always paid 1234-145
 contraction pd
+begword painst 1234-1-35-234-2345 painstake
 begword palingen 1234-1-123-35-1245-26 palingenesis (new birth)
 sufword panther 1234-1-1345-2346-1235 pantheresque
 always part 5-1234
@@ -690,12 +711,9 @@ always perceiving 1234-12456-14-1236-124
 word percvg =
 always perhaps 1234-12456-125
 word perh =
-sufword perseverance 1234-12456-234-15-1236-12456-46-15
-sufword persevere 1234-12456-234-15-1236-12456-15
-sufword persevered 1234-12456-234-15-1236-12456-1246
-sufword perseverer 1234-12456-234-15-1236-12456-12456
-sufword persevering 1234-12456-234-15-1236-12456-346
+begword persever 1234-12456-234-15-1236-12456 persevere
 sufword pest 1234-15-34 pesthouse
+sufword petar 1234-15-2345-345 petard
 always pher 1234-125-12456 cyphered
 word phoneme =
 word phonemes =
@@ -707,12 +725,21 @@ sufword pipedream 1234-24-1234-15-145-12
 sufword poleax =
 begword portho = porthole
 sufword porthos 1234-135-1235-1456-135-234 (Dumas) Porthosesque
-begword potho = pothole pothook
+begword poth = pothole pothook pothouse
+sufword pother 1234-135-2346-1235
+sufword potherb 1234-135-2345-125-12456-12
 begword pre =
 always preach 1234-1235-2-16
+word pred 1234-1235-1246 liquid pred: prednisone trade name
 sufword predator 1234-1235-1246-1-2345-135-1235
+begword predn 1234-1235-1246-1345 prednisone prednisolone
+sufword predsolan 1234-1235-1246-234-135-123-1-1345
 always prof =
-begword proff 1234-1235-12356-124 proffer
+word prof 1234-1235-12356
+sufword profanation 1234-1235-12356-1-1345-6-1345
+sufword proff 1234-1235-12356-124 proffer
+begword profliga 1234-1235-12356-123-24-1245-1 profligate profligacy
+word profs 1234-1235-12356-234
 always profit 1234-1235-12356-24-2345
 begword proto = protoenchanter (Cervantes)
 begword psyched 1234-234-13456-16-15-145 psychedelic
@@ -782,14 +809,15 @@ contraction rjcg
 sufword renaming 1235-15-1345-1-134-346 renamings
 begword rene = renegotiate
 begword renegad 1235-26-15-1245-1-145 renegade
+begword reni = renig
 begword renom = renominate
 begword renou 1235-15-1345-1256 renounce
 sufword renown 1235-15-1345-246-1345 renowned
 begword renu = renunciation
 begword rer 1235-15-1235 reread
-always rever 1235-15-1236-12456
-always reveren 1235-5-15-26 irreverent
-always reverence 1235-5-15-56-15 irreverence
+begword rever 1235-15-1236-12456 revere
+begword reveren 1235-5-15-26 reverent
+sufword reverence 1235-5-15-56-15 reverence
 sufword reverie 1235-5-15-24-15
 begword rh = Rhadamanthus
 word riflery =
@@ -814,11 +842,11 @@ always sediment 234-1246-24-56-2345
 always sedu =
 begword sedul 234-1246-136-123 sedulous
 sufword sedum 234-1246-136-134
-always sent 234-26-2345 sentimental
-sufword severe 234-15-1236-12456-15
-always severed 234-5-15-1246
-always severer 234-5-15-12456
-always severit 234-15-1236-12456-24-2345
+always severe 234-15-1236-12456-15 oversevere severely
+always severed 234-5-15-1246 dissevered
+word severer 234-15-1236-12456-12456 severe-r (could also be sever-er)
+word severers 234-5-15-12456-234
+always severit 234-15-1236-12456-24-2345 severities
 always severity 234-15-1236-12456-56-13456
 begword shaked 146-1-13-15-145 shakedown
 word shall 146
@@ -832,10 +860,11 @@ always shoulder 146-1256-123-145-12456
 begword side = sidenote
 sufword sided 234-24-145-1246
 sufword sider 234-24-145-12456 sidereal siderite
-word singapore 234-346-1-1234-135-1235-15 
+sufword sing 234-346 singalong
 midendword sion 46-1345
-midword stak 234-2345-1-13
+begword skedaddl 234-13-15-145-1-256-123 skedaddling
 midendword stion 234-56-1345
+word smithereens 234-134-24-2346-1235-15-26-234
 word so 234
 begword solo = soloensis (anthropology)
 always some 5-234
@@ -843,6 +872,7 @@ midendword somed 234-135-134-1246 ransom
 always somer 234-135-134-12456 somersault 
 always someter 234-135-134-15-2345-12456 gasometer 
 always somever 234-135-134-5-15
+sufword sparerib 234-1234-345-15-1235-24-12
 always spirit 456-234
 begword spreadeagl 234-1234-1235-2-145-15-1-1245-123 spreadeagled
 sufword squall = squally
@@ -865,15 +895,17 @@ always shouse 234-125-1256-234-15
 always ssh =
 always shood =
 word such 234-16
-before consonent sufword such 234-16
+before consonant sufword such 234-16
 word sch =
 sufword schofield 234-16-135-124-24-15-123-145
+begword supersed 234-136-1234-12456-234-1246 superseding
 always sword =
 sufword symoens 234-13456-134-135-26-234 (an author)
 
 # the letter t
 always t 2345
 always T 2345
+sufword tearoom 2345-2-1235-135-135-134 tearooms
 endnum th 1456 (fourth, fifth, ...)
 word th =
 always th 1456
@@ -946,6 +978,7 @@ word unsaid 136-1345-234-145
 always v 1236
 always V 1236
 begword vaing 1236-1-35-1245 vainglory
+word vandyke =
 word very 1236
 begword vice = viceroy
 sufword video = videofile
@@ -970,6 +1003,7 @@ always where 5-156
 word whereafter 5-156-1-124
 word whereupon 5-156-45-136
 word wherever 156-12456-5-15
+sufword wingate 2456-35-1245-1-2345-15
 sufword wiseacre =
 largesign with 23456
 always word 45-2456
@@ -1035,6 +1069,10 @@ begword atto 1-2345-2345-135 10^-18
 begword zepto 1356-15-1234-2345-135 10^-21
 begword yocto 13456-135-14-2345-135 10^-24
 
+word thz = teraherz
+word ghz = gigaherz
+word chz = centiherz
+
 begword ante =
 begword anti =
 begword endo 26-145-135
Index: brltty/Tables/fr_FR.ttb
===================================================================
--- brltty.orig/Tables/fr_FR.ttb	2010-11-13 02:49:28.000000000 +0100
+++ brltty/Tables/fr_FR.ttb	2010-11-13 02:49:42.000000000 +0100
@@ -112,7 +112,7 @@ char \xA0	(      78)  # A0 ⣀   [NO-BR
 char \xA1	(  3  67 )  # A1 ⡤ ¡ [INVERTED EXCLAMATION MARK]
 char \xA2	(1  4   8)  # A2 ⢉ ¢ [CENT SIGN]
 char \xA3	(123    8)  # A3 ⢇ £ [POUND SIGN]
-char \xA4	(1   5  8)  # A4 ⢑ ¤ [CURRENCY SIGN]
+char \u20AC	(1   5  8)  # ⢑ € [EURO SIGN]
 char \xA5	(1 3456 8)  # A5 ⢽ ¥ [YEN SIGN]
 char \xA6	(  3 5 78)  # A6 ⣔ ¦ [BROKEN BAR]
 char \xA7	( 234   8)  # A7 ⢎ § [SECTION SIGN]
Index: brltty/Tables/is.ttb
===================================================================
--- brltty.orig/Tables/is.ttb	2010-11-13 02:49:28.000000000 +0100
+++ brltty/Tables/is.ttb	2010-11-13 02:49:42.000000000 +0100
@@ -20,40 +20,166 @@
 #
 # Samuel Thibault <samuel.thibault@ens-lyon.org>
 # 
-# This table is based on the Unesco report on the progress of unification of
-# braille writing « L'ÉCRITURE BRAILLE DANS LE MONDE », by Sir Clutha
-# MACKENZIE: http://unesdoc.unesco.org/images/0013/001352/135251fo.pdf
-# The document is dated 1954, so this table may be quite outdated.
+# This conforms to the IceBraille standard, v1.0.
+# Birkir Gunnarsson, birkir@midstod.is
+# Special thanks to Ben Van Popel for help with drafting the standard.
+
+# control characters
+char \x00       (  345 78)  # ⣜ 00 [NULL]
+include control-latin.tti
+char \x1B       (123 5678)  # ⣷ 1B [ESCAPE]
+char \x1C       (  34  78)  # ⣌ 1C [INFORMATION SEPARATOR FOUR]
+char \x1D       ( 2345678)  # ⣾ 1D [INFORMATION SEPARATOR THREE]
+char \x1E       ( 234 678)  # ⣮ 1E [INFORMATION SEPARATOR TWO]
+char \x1F       (   45678)  # ⣸ 1F [INFORMATION SEPARATOR ONE]
 
 # the standard representations for the letters of the Latin alphabet
 include letters-latin.tti
 
-# lowercase non-Latin and accented letters
-char \xF0	(123 56  )  # ⠷ ð [LATIN SMALL LETTER ETH]
-char \xF6	( 234 6  )  # ⠮ ö [LATIN SMALL LETTER O WITH DIAERESIS]
-char \xFE	( 23456  )  # ⠾ þ [LATIN SMALL LETTER THORN]
-char \xE1	(1    6  )  # ⠡ á [LATIN SMALL LETTER A WITH ACUTE]
-char \xE9	(12   6  )  # ⠣ é [LATIN SMALL LETTER E WITH ACUTE]
-char \xED	(1  4 6  )  # ⠩ í [LATIN SMALL LETTER I WITH ACUTE]
-char \xF3	(1  456  )  # ⠹ ó [LATIN SMALL LETTER O WITH ACUTE]
-char \xFA	(1   56  )  # ⠱ ú [LATIN SMALL LETTER U WITH ACUTE]
-char \xFD	(12 4 6  )  # ⠫ ý [LATIN SMALL LETTER Y WITH ACUTE]
-
-# uppercase non-Latin and accented letters
-char \xD0	(123 567 )  # ⡷ Ð [LATIN CAPITAL LETTER ETH]
-char \xD6	( 234 67 )  # ⡮ Ö [LATIN CAPITAL LETTER O WITH DIAERESIS]
-char \xDE	( 234567 )  # ⡾ Þ [LATIN CAPITAL LETTER THORN]
-char \xC1	(1    67 )  # ⡡ Á [LATIN CAPITAL LETTER A WITH ACUTE]
-char \xC9	(12   67 )  # ⡣ É [LATIN CAPITAL LETTER E WITH ACUTE]
-char \xCD	(1  4 67 )  # ⡩ Í [LATIN CAPITAL LETTER I WITH ACUTE]
-char \xD3	(1  4567 )  # ⡹ Ó [LATIN CAPITAL LETTER O WITH ACUTE]
-char \xDA	(1   567 )  # ⡱ Ú [LATIN CAPITAL LETTER U WITH ACUTE]
-char \xDD	(12 4 67 )  # ⡫ Ý [LATIN CAPITAL LETTER Y WITH ACUTE]
-
 # the numbers 0-9 are represented by the letters j,a-i with dot 8 added
 include numbers-dot8.tti
 
 include punctuation-basic.tti
+
+char \x21	( 23 5 7 )  # ⡖ ! [EXCLAMATION MARK]
+char \x22	(    56  )  # ⠰ " [QUOTATION MARK]
+char \x23	(  3456  )  # ⠼ # [NUMBER SIGN]
+char \x24	(1  45 78)  # ⣙ $ [DOLLAR SIGN]
+char \x25	(   4 6  )  # ⠨ % [PERCENT SIGN]
+char \x26	(1234 6 8)  # ⢯ & [AMPERSAND]
+char \x27	(    5   )  # ⠐ ' [APOSTROPHE]
+char \x2A	(  3 5   )  # ⠔ * [ASTERISK]
+char \x2B	( 23 5   )  # ⠖ + [PLUS SIGN]
+char \x2E	(  3     )  # ⠄ . [FULL STOP]
+char \x2F	(  34    )  # ⠌ / [SOLIDUS]
+char \x3C	(  3 5  8)  # ⢔ < [LESS-THAN SIGN]
+char \x3D	( 23 56  )  # ⠶ = [EQUALS SIGN]
+char \x3E	( 2   67 )  # ⡢ > [GREATER-THAN SIGN]
 char \x3F	( 2   6  )  # ⠢ ? [QUESTION MARK]
+char \x40	(123456  )  # ⠿ @ [COMMERCIAL AT]
+
+char \x5B	(123 56  )  # ⠷ [ [LEFT SQUARE BRACKET]
+char \x5C	(  34  7 )  # ⡌ \ [REVERSE SOLIDUS]
+char \x5D	( 23456  )  # ⠾ ] [RIGHT SQUARE BRACKET]
+char \x5E	(  34 6  )  # ⠬ ^ [CIRCUMFLEX ACCENT]
+char \x5F	(  3  678)  # ⣤ _ [LOW LINE]
+char \x60	(   4    )  # ⠈ ` [GRAVE ACCENT]
+
+char \x7B	(123 567 )  # ⡷ { [LEFT CURLY BRACKET]
+char \x7C	(   456  )  # ⠸ | [VERTICAL LINE]
+char \x7D	( 23456 8)  # ⢾ } [RIGHT CURLY BRACKET]
+char \x7E	(   45   )  # ⠘ ~ [TILDE]
+char \x7F	(      7 )  # ⡀   [DELETE]
+
+char \xA1	(  3 56 8)  # ⢴ ¡ [INVERTED EXCLAMATION MARK]
+char \xA2	( 2  5 78)  # ⣒ ¢ [CENT SIGN]
+char \xA3	(1234  78)  # ⣏ £ [POUND SIGN]
+char \xA4	(1 34 678)  # ⣭ ¤ [CURRENCY SIGN]
+char \xA5	(1 345678)  # ⣽ ¥ [YEN SIGN]
+char \xA6	(  34  78)  # ⣌ ¦ [BROKEN BAR]
+char \xA7	( 234   8)  # ⢎ § [SECTION SIGN]
+char \xA8	(    5 78)  # ⣐ ¨ [DIAERESIS]
+char \xA9	(1  4  78)  # ⣉ © [COPYRIGHT SIGN]
+char \xAA	( 234 678)  # ⣮ ª [FEMININE ORDINAL INDICATOR]
+char \xAB	(    5 7 )  # ⡐ « [LEFT-POINTING DOUBLE ANGLE QUOTATION MARK]
+char \xAC	(  34567 )  # ⡼ ¬ [NOT SIGN]
+char \xAD	(  3   78)  # ⣄ ­ [SOFT HYPHEN]
+char \xAE	(123 5 78)  # ⣗ ® [REGISTERED SIGN]
+char \xAF	( 23 567 )  # ⡶ ¯ [MACRON]
+char \xB0	( 2  56  )  # ⠲ ° [DEGREE SIGN]
+char \xB1	(12345  8)  # ⢟ ± [PLUS-MINUS SIGN]
+char \xB2	( 23    8)  # ⢆ ² [SUPERSCRIPT TWO]
+char \xB3	( 2  5  8)  # ⢒ ³ [SUPERSCRIPT THREE]
+char \xB4	(   4 6 8)  # ⢨ ´ [ACUTE ACCENT]
+char \xB5	( 23  678)  # ⣦ µ [MICRO SIGN]
+char \xB6	(  345678)  # ⣼ ¶ [PILCROW SIGN]
+char \xB7	(  3    8)  # ⢄ · [MIDDLE DOT]
+char \xB8	( 2 45678)  # ⣺ ¸ [CEDILLA]
+char \xB9	( 2     8)  # ⢂ ¹ [SUPERSCRIPT ONE]
+char \xBA	(12345678)  # ⣿ º [MASCULINE ORDINAL INDICATOR]
+char \xBB	(    567 )  # ⡰ » [RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK]
+char \xBC	(1 345  8)  # ⢝ ¼ [VULGAR FRACTION ONE QUARTER]
+char \xBD	(   45  8)  # ⢘ ½ [VULGAR FRACTION ONE HALF]
+char \xBE	(  3456 8)  # ⢼ ¾ [VULGAR FRACTION THREE QUARTERS]
+char \xBF	(     67 )  # ⡠ ¿ [INVERTED QUESTION MARK]
+char \xC0	(1 3  678)  # ⣥ À [LATIN CAPITAL LETTER A WITH GRAVE]
+char \xC1	(1    67 )  # ⡡ Á [LATIN CAPITAL LETTER A WITH ACUTE]
+char \xC2	(1    678)  # ⣡ Â [LATIN CAPITAL LETTER A WITH CIRCUMFLEX]
+char \xC3	(1  4 678)  # ⣩ Ã [LATIN CAPITAL LETTER A WITH TILDE]
+char \xC4	(  345 78)  # ⣜ Ä [LATIN CAPITAL LETTER A WITH DIAERESIS]
+char \xC5	(123 5678)  # ⣷ Å [LATIN CAPITAL LETTER A WITH RING ABOVE]
+char \xC6	(  345 7 )  # ⡜ Æ [LATIN CAPITAL LETTER AE]
+char \xC7	(12  5678)  # ⣳ Ç [LATIN CAPITAL LETTER C WITH CEDILLA]
+char \xC8	(   4  78)  # ⣈ È [LATIN CAPITAL LETTER E WITH GRAVE]
+char \xC9	( 234 67 )  # ⡮ É [LATIN CAPITAL LETTER E WITH ACUTE]
+char \xCA	(1234567 )  # ⡿ Ê [LATIN CAPITAL LETTER E WITH CIRCUMFLEX]
+char \xCB	(  3 5678)  # ⣴ Ë [LATIN CAPITAL LETTER E WITH DIAERESIS]
+char \xCC	(1   5678)  # ⣱ Ì [LATIN CAPITAL LETTER I WITH GRAVE]
+char \xCD	(12   67 )  # ⡣ Í [LATIN CAPITAL LETTER I WITH ACUTE]
+char \xCE	(1  4 67 )  # ⡩ Î [LATIN CAPITAL LETTER I WITH CIRCUMFLEX]
+char \xCF	(12   678)  # ⣣ Ï [LATIN CAPITAL LETTER I WITH DIAERESIS]
+char \xD0	(1   567 )  # ⡱ Ð [LATIN CAPITAL LETTER ETH]
+char \xD1	(12 45678)  # ⣻ Ñ [LATIN CAPITAL LETTER N WITH TILDE]
+char \xD2	(12 4 678)  # ⣫ Ò [LATIN CAPITAL LETTER O WITH GRAVE]
+char \xD3	(1  4567 )  # ⡹ Ó [LATIN CAPITAL LETTER O WITH ACUTE]
+char \xD4	(  34 678)  # ⣬ Ô [LATIN CAPITAL LETTER O WITH CIRCUMFLEX]
+char \xD5	(1  45678)  # ⣹ Õ [LATIN CAPITAL LETTER O WITH TILDE]
+char \xD6	( 2 4 67 )  # ⡪ Ö [LATIN CAPITAL LETTER O WITH DIAERESIS]
+char \xD7	(1 34 6 8)  # ⢭ × [MULTIPLICATION SIGN]
+char \xD8	( 2 4 678)  # ⣪ Ø [LATIN CAPITAL LETTER O WITH STROKE]
+char \xD9	( 234567 )  # ⡾ Ù [LATIN CAPITAL LETTER U WITH GRAVE]
+char \xDA	(12 4567 )  # ⡻ Ú [LATIN CAPITAL LETTER U WITH ACUTE]
+char \xDB	(  34   8)  # ⢌ Û [LATIN CAPITAL LETTER U WITH CIRCUMFLEX]
+char \xDC	(12  567 )  # ⡳ Ü [LATIN CAPITAL LETTER U WITH DIAERESIS]
+char \xDD	(1234 67 )  # ⡯ Ý [LATIN CAPITAL LETTER Y WITH ACUTE]
+char \xDE	(12 4 67 )  # ⡫ Þ [LATIN CAPITAL LETTER THORN]
+char \xDF	( 234 6 8)  # ⢮ ß [LATIN SMALL LETTER SHARP S]
+char \xE0	(1 3   78)  # ⣅ à [LATIN SMALL LETTER A WITH GRAVE]
+char \xE1	(1    6  )  # ⠡ á [LATIN SMALL LETTER A WITH ACUTE]
+char \xE2	(1    6 8)  # ⢡ â [LATIN SMALL LETTER A WITH CIRCUMFLEX]
+char \xE3	(1  4 6 8)  # ⢩ ã [LATIN SMALL LETTER A WITH TILDE]
+char \xE4	(  345  8)  # ⢜ ä [LATIN SMALL LETTER A WITH DIAERESIS]
+char \xE5	(123 56 8)  # ⢷ å [LATIN SMALL LETTER A WITH RING ABOVE]
+char \xE6	(  345   )  # ⠜ æ [LATIN SMALL LETTER AE]
+char \xE7	(1 34   8)  # ⢍ ç [LATIN SMALL LETTER C WITH CEDILLA]
+char \xE8	( 23 56 8)  # ⢶ è [LATIN SMALL LETTER E WITH GRAVE]
+char \xE9	( 234 6  )  # ⠮ é [LATIN SMALL LETTER E WITH ACUTE]
+char \xEA	(12   6 8)  # ⢣ ê [LATIN SMALL LETTER E WITH CIRCUMFLEX]
+char \xEB	(1 3    8)  # ⢅ ë [LATIN SMALL LETTER E WITH DIAERESIS]
+char \xEC	(1   56 8)  # ⢱ ì [LATIN SMALL LETTER I WITH GRAVE]
+char \xED	(12   6  )  # ⠣ í [LATIN SMALL LETTER I WITH ACUTE]
+char \xEE	( 2 45 78)  # ⣚ î [LATIN SMALL LETTER I WITH CIRCUMFLEX]
+char \xEF	(12  56 8)  # ⢳ ï [LATIN SMALL LETTER I WITH DIAERESIS]
+char \xF0	(1   56  )  # ⠱ ð [LATIN SMALL LETTER ETH]
+char \xF1	(12 456 8)  # ⢻ ñ [LATIN SMALL LETTER N WITH TILDE]
+char \xF2	(12 4 6 8)  # ⢫ ò [LATIN SMALL LETTER O WITH GRAVE]
+char \xF3	(1  456  )  # ⠹ ó [LATIN SMALL LETTER O WITH ACUTE]
+char \xF4	(  34 6 8)  # ⢬ ô [LATIN SMALL LETTER O WITH CIRCUMFLEX]
+char \xF5	(1  456 8)  # ⢹ õ [LATIN SMALL LETTER O WITH TILDE]
+char \xF6	( 2 4 6  )  # ⠪ ö [LATIN SMALL LETTER O WITH DIAERESIS]
+char \xF7	(12  56  )  # ⠳ ÷ [DIVISION SIGN]
+char \xF8	( 2 4 6 8)  # ⢪ ø [LATIN SMALL LETTER O WITH STROKE]
+char \xF9	( 23  6 8)  # ⢦ ù [LATIN SMALL LETTER U WITH GRAVE]
+char \xFA	(12 456  )  # ⠻ ú [LATIN SMALL LETTER U WITH ACUTE]
+char \xFB	(1234   8)  # ⢏ û [LATIN SMALL LETTER U WITH CIRCUMFLEX]
+char \xFC	(12  56 8)  # ⢳ ü [LATIN SMALL LETTER U WITH DIAERESIS]
+char \xFD	(1234 6  )  # ⠯ ý [LATIN SMALL LETTER Y WITH ACUTE]
+char \xFE	(12 4 6  )  # ⠫ þ [LATIN SMALL LETTER THORN]
+char \xFF	( 23456 8)  # ⢾ ÿ [LATIN SMALL LETTER Y WITH DIAERESIS]
+
+char \u0152	(1 3 5 78)  # ⣕ Œ [LATIN CAPITAL LIGATURE OE]
+char \u0192	(    5  8)  # ⢐ ƒ [LATIN SMALL LETTER F WITH HOOK]
+
+char \u2013	(  3  6 8)  # ⢤ – [EN DASH]
+char \u2014	(  3  67 )  # ⡤ — [EM DASH]
+char \u201C	( 23   7 )  # ⡆ “ [LEFT DOUBLE QUOTATION MARK]
+char \u201D	(   45  8)  # ⢘ ” [RIGHT DOUBLE QUOTATION MARK]
+char \u2020	( 23 5  8)  # ⢖ † [DAGGER]
+char \u2021	( 23 5 78)  # ⣖ ‡ [DOUBLE DAGGER]
+char \u2022	(  3   7 )  # ⡄ • [BULLET]
+char \u2026	(     6  )  # ⠠ … [HORIZONTAL ELLIPSIS]
+char \u2030	(   4 678)  # ⣨ ‰ [PER MILLE SIGN]
+char \u20AC     (1   5 78)  # ⣑ € [EURO SIGN]
+char \u2122	( 2345 78)  # ⣞ ™ [TRADE MARK SIGN]
 
 include common.tti
Index: brltty/Tables/de-kurzschrift.ctb
===================================================================
--- brltty.orig/Tables/de-kurzschrift.ctb	2010-11-13 02:50:46.000000000 +0100
+++ brltty/Tables/de-kurzschrift.ctb	2010-11-13 02:50:56.000000000 +0100
@@ -193,6 +193,7 @@ sufword ungerecht 256-12346-1235-2345
 sufword zuge 2-1356-12346
 endword ges 1245-123456 shouldn't use the ge-contraction
 midendword ien 24-14 shouldn't use the ie-contraction
+midendword iene 346-1345-15 should use the ie-contraction
 midendword ienen 346-1345-14 should use the ie-contraction
 endword tel 2345-13456 should use the el-contraction
 endword ten 2345-14 should use the en-contraction
Index: brltty/Tables/es.ctb
===================================================================
--- brltty.orig/Tables/es.ctb	2010-11-13 02:50:46.000000000 +0100
+++ brltty/Tables/es.ctb	2010-11-13 02:50:56.000000000 +0100
@@ -26,6 +26,8 @@
 # The document is dated 1954, so this table may be quite outdated.
 
 include letters-latin.cti
+always \s 0
+
 class voy aeiouäáéíóú
 class con bcdfghjklmnñpqrstvwxz
 
Index: brltty/Tables/fr-vs.ttb
===================================================================
--- brltty.orig/Tables/fr-vs.ttb	2010-11-13 02:50:46.000000000 +0100
+++ brltty/Tables/fr-vs.ttb	2010-11-13 02:50:56.000000000 +0100
@@ -230,4 +230,7 @@ char \xFD	(        )  # FD ⠀ ý [LATIN
 char \xFE	(        )  # FE ⠀ þ [LATIN SMALL LETTER THORN]
 char \xFF	(        )  # FF ⠀ ÿ [LATIN SMALL LETTER Y WITH DIAERESIS]
 
+char \u2019	(  3     )  # ⠄ ’ [RIGHT SINGLE QUOTATION MARK]
+char \u20AC	(1   5  8)  # ⢑ € [EURO SIGN]
+
 include common.tti
